### jsoncons::jsonschema::json_schema

```cpp
#include <jsoncons_ext/jsonschema/jsonschema.hpp>

template <typename Json>
class json_schema
```

A `json_schema` represents the compiled form of a JSON Schema document.
A `json_schema` is immutable and thread-safe.

The class satisfies the requirements of MoveConstructible and MoveAssignable, but not CopyConstructible or CopyAssignable.

#### Member functions

     is_valid
     Validates input JSON against a JSON Schema and returns false upon the first schema violation 

     validate
     Validates input JSON against a JSON Schema. 

     walk (since 0.175.0)
     Walks through a JSON Schema. 

